Skip to main content
GET
Fetch Recommendation Details

Rate Limit

You can make 100 requests per minute and 10,000 requests per day.

Authorizations

Authorization
string
header
required

Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.

  • Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
  • Password: Use your API Key, which you can find within the Campaign report/Business events/Custom templates/Catalog API/Inform Report tile.

For more information on authentication and getting your credentials, refer here.

Headers

MOE-APPKEY
string
required

This is the Workspace ID of your MoEngage account that must be passed with the request. You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).

Path Parameters

recommendation_id
string
required

This parameter indicates the unique identifier associated with the recommendation created in the recommendation module.

You can obtain the recommendation_id from the recommendation you created on the recommendation page.

Response

Indicates that the request is successful and a recommendation is fetched.

id
string

It is the unique recommendation ID.

db_name
string

This is your workspace name.

recommendation_type
string

It represents the type of recommendations from which the results will be fetched. The supported values are: user_action, item_attribute, catalog_alert, similar_item, frequently_viewed_together, frequently_bought_together, trending_item, user_personalization.

name
string

This field represents the name of the recommendation for which you want to fetch the details.

description
string | null

This field describes the recommendation given at the time of its creation.

catalog
string

This is the unique identifier of the catalog assigned to the requested recommendation.

status
enum<string>

This field shows the current status of the recommendation. A recommendation is always in one of these four states.

Available options:
Active,
Processing,
Archived,
Failed
created_time
string<date-time>

This field shows the timestamp when a recommendation was created.

updated_time
string<date-time>

This field shows the timestamp when a recommendation setting was last modified.

recom_execution_id
string

This field references the recommendation execution record that tracks the last run.

next_run_time
string<date-time> | null

This field shows the scheduled time of the next recommendation execution.

all_user_actions
boolean | null

This key shows whether all user actions are considered when MoEngage finds the most recently interacted item. When it is true, MoEngage takes the most recently interacted ID from any user action setup. MoEngage then finds items related to that ID, based on the recommendation type.

Note: This key is available with the similar_item, frequently_viewed_together, and frequently_bought_together recommendation types.

include_filters
object | null
exclude_filters
object | null
custom_settings
object | null

This key defines the customization applied to the recommendation results as per the recommendation setup. Currently, you can apply the user action and item attribute filters over recommendations.

sort
object | null

This key defines the sorting logic based on which recommendation results will be ordered. This object's value provides the attributes' details and sorting order.

Note: This key is available with the user_action and item_attribute recommendation types.

trend
object | null

This key defines the user action that identifies trending items for trending_item recommendations, and the period over which the trend is calculated.

Note: This key is available with the trending_item recommendation type.

Example:
catalog_watch_setting
object | null

This object holds the configuration for catalog watch and catalog alert recommendations. It defines the product attribute being watched and the condition that triggers the alert.

Example:
trigger_event
boolean
default:false

When this field is true, MoEngage triggers a business event for catalog alert recommendations. The event is named Catalog_Alerts_{recommendation_name}. Use this event to trigger campaigns or flows when the catalog alert conditions are met.

Note: This key applies only when recommendation_type is catalog_alert.

business_event
string | null

This field shows the identifier of the business event that triggers this recommendation.